Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 409957 - =media-video/libav-0.8.1[encode,xvid] does not recognize decoder libxvid
Summary: =media-video/libav-0.8.1[encode,xvid] does not recognize decoder libxvid
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 409685
  Show dependency tree
 
Reported: 2012-03-28 08:23 UTC by Agostino Sarubbo
Modified: 2020-04-26 15:23 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2012-03-28 08:23:02 UTC
Installed versions:  0.8.1!t(16:47:44 23/03/2012)(3dnow 3dnowext X aac alsa bzip2 encode gpl hardcoded-tables jpeg2k mmx mmxext mp3 qt-faststart sdl ssl ssse3 vorbis x264 xvid zlib -altivec -amr -avx -bindist -cdio -cpudetection -custom-cflags -debug -dirac -doc -faac -frei0r -gsm -ieee1394 -iwmmxt -jack -neon -network -openssl -oss -pic -pulseaudio -rtmp -schroedinger -speex -static-libs -test -theora -threads -truetype -v4l -vaapi -vdpau -vis -vpx)



ago@amd64box ~ $ avconv -vcodec libxvid -i dvd/x.mkv -c copy downloads/out.avi                    
avconv version 0.8.1, Copyright (c) 2000-2011 the Libav developers
  built on Mar 23 2012 16:47:34 with gcc 4.5.3
Unknown decoder 'libxvid'





Portage 2.1.10.49 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.13-r4, 3.2.12-gentoo x86_64)
=================================================================                                                                                                                   
System uname: Linux-3.2.12-gentoo-x86_64-Intel-R-_Core-TM-_i3_CPU_540_@_3.07GHz-with-gentoo-2.0.3                                                                                   
Timestamp of tree: Tue, 27 Mar 2012 15:00:01 +0000                                                                                                                                  
app-shells/bash:          4.2_p20                                                                                                                                                   
dev-java/java-config:     2.1.11-r3                                                                                                                                                 
dev-lang/python:          2.7.2-r3, 3.2.2                                                                                                                                           
dev-util/cmake:           2.8.6-r4                                                                                                                                                  
dev-util/pkgconfig:       0.26                                                                                                                                                      
sys-apps/baselayout:      2.0.3                                                                                                                                                     
sys-apps/openrc:          0.9.8.4                                                                                                                                                   
sys-apps/sandbox:         2.5                                                                                                                                                       
sys-devel/autoconf:       2.13, 2.68                                                                                                                                                
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1                                                                                                                                  
sys-devel/binutils:       2.21.1-r1                                                                                                                                                 
sys-devel/gcc:            4.5.3-r2                                                                                                                                                  
sys-devel/gcc-config:     1.5-r2                                                                                                                                                    
sys-devel/libtool:        2.4-r1                                                                                                                                                    
sys-devel/make:           3.82-r1                                                                                                                                                   
sys-kernel/linux-headers: 3.1 (virtual/os-headers)                                                                                                                                  
sys-libs/glibc:           2.13-r4                                                                                                                                                   
Repositories: gentoo x-portage                                                                                                                                                      
ACCEPT_KEYWORDS="amd64"                                                                                                                                                             
ACCEPT_LICENSE="*"                                                                                                                                                                  
CBUILD="x86_64-pc-linux-gnu"                                                                                                                                                        
CFLAGS="-march=native -O2 -g0"                                                                                                                                                      
CHOST="x86_64-pc-linux-gnu"                                                                                                                                                         
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /var/lib/hsqldb"                                                                                              
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"                                                                                                                                                                              
CXXFLAGS="-march=native -O2"
DISTDIR="/media/sources"
EMERGE_DEFAULT_OPTS="--with-bdeps y --quiet-build n"
FEATURES="assume-digests binpkg-logs collision-protect distlocks ebuild-locks fixlafiles multilib-strict news parallel-fetch protect-owned sandbox sfperms sign split-log strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O1"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="it_IT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--hash-style=gnu"
LINGUAS="am fil zh af ca cs da de el es et gl hu nb nl pl pt ro ru sk sl sv uk bg cy en eo fo ga he id ku lt lv mk ms nn sw tn zu ja zh_TW en_GB pt_BR ko zh_CN ar en_CA fi kk oc sr tr fa wa nds as be bn bn_BD bn_IN en_US es_AR es_CL es_ES es_MX eu fy fy_NL ga_IE gu gu_IN hi hi_IN is ka kn ml mr nn_NO or pa pa_IN pt_PT rm si sq sv_SE ta ta_LK te th vi ast dz km my om sh ug uz ca@valencia sr@ijekavian sr@ijekavianlatin sr@latin csb hne mai se es_LA fr_CA zh_HK br la no es_CR et_EE sr_CS bo hsb hy mn sr@Latn lb ne bs tg uz@cyrillic xh be_BY brx ca_XV dgo en_ZA gd kok ks ky lo mni nr ns pap ps rw sa_IN sat sd ss st sw_TZ ti ts ve mt ia az me tl ak hy_AM lg nso son ur_PK it fr nb nb_NO hr nan ur tk"
MAKEOPTS="-j4"
PKGDIR="/media/sources/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 apache2 apng bash-completion berkdb bzip2 cairo cli cracklib crypt cups cxx dbus device-mapper dri extras ffmpeg fortran gdbm gpm gtk iconv ipv6 jpeg jpeg2k kde lame mmx modules mp3 mudflap multilib ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre png policykit pppd private-headers qt3support qt4 readline sdl semantic-desktop session sse sse2 ssl svg sysfs tcpd tiff unicode vorbis xorg zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="mouse evdev keyboard" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="am fil zh af ca cs da de el es et gl hu nb nl pl pt ro ru sk sl sv uk bg cy en eo fo ga he id ku lt lv mk ms nn sw tn zu ja zh_TW en_GB pt_BR ko zh_CN ar en_CA fi kk oc sr tr fa wa nds as be bn bn_BD bn_IN en_US es_AR es_CL es_ES es_MX eu fy fy_NL ga_IE gu gu_IN hi hi_IN is ka kn ml mr nn_NO or pa pa_IN pt_PT rm si sq sv_SE ta ta_LK te th vi ast dz km my om sh ug uz ca@valencia sr@ijekavian sr@ijekavianlatin sr@latin csb hne mai se es_LA fr_CA zh_HK br la no es_CR et_EE sr_CS bo hsb hy mn sr@Latn lb ne bs tg uz@cyrillic xh be_BY brx ca_XV dgo en_ZA gd kok ks ky lo mni nr ns pap ps rw sa_IN sat sd ss st sw_TZ ti ts ve mt ia az me tl ak hy_AM lg nso son ur_PK it fr nb nb_NO hr nan ur tk" NGINX_MODULES_HTTP="access auth_basic autoindex browser charset empty_gif fastcgi geo gzip limit_req limit_zone map memcached proxy referer rewrite scgi split_clients ssi upstream_ip_hash userid uwsgi addition cache_purge dav degradation flv geoip gzip_static headers_more image_filter perl push random_index realip secure_link stub_status sub xslt ey_balancer slowfs_cache upload" NGINX_MODULES_MAIL="imap pop3 smtp" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ree18 ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nouveau"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Paolo Pedroni 2012-04-16 15:00:18 UTC
libxvid is only an encoder, not a decoder and avconv is much stricter in the order of its options than ffmpeg. Putting -vcodec before -i means that you want to use libxvid as a decoder, which is not possible.

$ avconv -codecs | grep libxvid
avconv version 0.8.1, Copyright (c) 2000-2011 the Libav developers
  built on Mar 25 2012 16:52:16 with gcc 4.6.2
  EV    libxvid         libxvidcore MPEG-4 part 2

If you want to encode with libxvid you should:

$ avconv -i input.whatever -vcodec libxvid output.whatever
Comment 2 Agostino Sarubbo gentoo-dev 2012-04-16 15:10:32 UTC
(In reply to comment #1)
> $ avconv -i input.whatever -vcodec libxvid output.whatever

the response is:

Unknown encoder 'libxvid'

so, same thing
Comment 3 Larry the Git Cow gentoo-dev 2020-04-26 15:23:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae1063b59ef317fdc6dd640b60437f6fb143a2ac

commit ae1063b59ef317fdc6dd640b60437f6fb143a2ac
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2020-04-26 15:14:48 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2020-04-26 15:22:46 +0000

    media-video/libav: remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=452482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=458768
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=470764
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=499256
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509974
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=519602
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=525070
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=555114
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=564040
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=587054
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588986
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=701952
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=538790
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=711206
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=489922
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=409957
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=445854
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=474408
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=509294
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=522350
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=546080
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=588482
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=603726
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=694082
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=634102
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=542186
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=635524
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651218
    Closes: https://bugs.gentoo.org/show_bug.cgi?id=651220
    
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>

 media-video/libav/Manifest                    |   3 -
 media-video/libav/files/libav-12.3-x264.patch |  85 -------
 media-video/libav/libav-12.3.ebuild           | 350 --------------------------
 media-video/libav/libav-13_pre20171219.ebuild | 336 -------------------------
 media-video/libav/libav-9999.ebuild           | 339 -------------------------
 media-video/libav/metadata.xml                |  35 ---
 6 files changed, 1148 deletions(-)